%define name halfStats
%define version 1.0b7rc3
%define release 2mdk
%define summary Half-Life stats program 
%define webrootdir /var/www/html

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		System/Servers
Source0:	http://ftp1.sourceforge.net/halfstats/halfStats-1.0-B7-RC3.tar.bz2
Source1:	http://ftp1.sourceforge.net/halfstats/halfStats-weapon-images-CS-1.0.tar.bz2
SOurce2:	http://ftp1.sourceforge.net/halfstats/halfStats-weapon-images-DM-1.0.tar.bz2
Source3:	http://ftp1.sourceforge.net/halfstats/halfStats-weapon-images-FLF-1.0.tar.bz2
Source4:	http://ftp1.sourceforge.net/halfstats/halfStats-weapon-images-TFC-1.0.tar.bz2
URL:		http://www.halfstats.com
Requires:	perl webserver 
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
halfStats is a Perl program which parses Half-Life server logs and 
generates player statistics in HTML files.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n halfStats-1.x-distrib
%setup -n halfStats-1.x-distrib -T -D -b1
%setup -n halfStats-1.x-distrib -T -D -b2
%setup -n halfStats-1.x-distrib -T -D -b3
%setup -n halfStats-1.x-distrib -T -D -b4

%build

%install
install -d -m 0755 $RPM_BUILD_ROOT/%{_bindir}
install -d -m 0755 $RPM_BUILD_ROOT/%{_libdir}/%{name}
install -d -m 0755 $RPM_BUILD_ROOT/%{webrootdir}/%{name}
# Files that install in bin/
install -m 0755 program/run_halfStats.sh $RPM_BUILD_ROOT/%{_bindir}
# Files that install in /usr/lib/halfStats
install -m 0755 program/halfStats.pl  $RPM_BUILD_ROOT/%{_libdir}/%{name}
install -m 0644 program/Player.pm  $RPM_BUILD_ROOT/%{_libdir}/%{name}
install -m 0644 program/default.cfg  $RPM_BUILD_ROOT/%{_libdir}/%{name}
install -m 0644 program/ignored.cfg  $RPM_BUILD_ROOT/%{_libdir}/%{name}
# File that install in /var/www/html/halfStats
cp -R www/* $RPM_BUILD_ROOT/%{webrootdir}/%{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc CHANGELOG CONTRIBUTORS LICENSE README TODO admin-faq.txt
%{_bindir}/run_halfStats.sh
%{_libdir}/%{name}/halfStats.pl
%{_libdir}/%{name}/Player.pm
%config(noreplace) %{_libdir}/%{name}/default.cfg
%config(noreplace) %{_libdir}/%{name}/ignored.cfg
%{webrootdir}/%{name}/*

%changelog
* Thu Jul 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0b7rc3-2mdk
- rebuild

* Wed Apr 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0b7rc3-1mdk  
- added in contribs by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- 1.0b7rc3

* Thu Mar 08 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0b6-1mdk
- first Mandrake package  
